Bug 152913 - [UPDATE] www/MT japanese/MT french/MT german/MT update to 5.04
[UPDATE] www/MT japanese/MT french/MT german/MT update to 5.04
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sunpoet Po-Chuan Hsieh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-08 07:50 UTC by takefu
Modified: 2011-01-13 13:35 UTC (History)
0 users

See Also:


Attachments
MT.patch (4.85 KB, patch)
2010-12-08 07:50 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2010-12-08 07:50:09 UTC
- Update to 5.04
- broken Russia version
Comment 1 Edwin Groothuis freebsd_committer 2010-12-08 07:50:19 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 takefu 2010-12-08 08:34:35 UTC
Sorry!
Russia sourcecode found

- fix www/MT/distinfo
- fix russian/MT/Makefile

--- MT-added.patch begins here ---
#!/bin/sh
# This is a shell archive
echo x www/MT/distinfo
mkdir -p www/MT > /dev/null 2>&1
sed 's/^X//' > www/MT/distinfo << 'SHAR_END'
XSHA256 (MTOS-5.04-de.tar.gz) = 5e981e25bee62f157464a2ef841cdb16c90098a75e46862931340786bff198d1
XSIZE (MTOS-5.04-de.tar.gz) = 5873151
XSHA256 (MTOS-5.04-en.tar.gz) = 1460dfe9083fde713fd2053403d6e8aa44e8ed21fc17da3e795d26733141ebc1
XSIZE (MTOS-5.04-en.tar.gz) = 5873433
XSHA256 (MTOS-5.04-es.tar.gz) = 6f456b403fbe690ebfe01d3a9e4ac4258996c3beec719bb057df4353d8e7fc82
XSIZE (MTOS-5.04-es.tar.gz) = 5873452
XSHA256 (MTOS-5.04-fr.tar.gz) = 4d170e62a9b619af88bf8d44c40df9090af346ebc3a64c9d61ccb86cea8f1437
XSIZE (MTOS-5.04-fr.tar.gz) = 5873115
XSHA256 (MTOS-5.04-ja.tar.gz) = f89a92ec79ed0ad74fe870b514105362eb1e5a9c96e94a66a4b64f237f08d939
XSIZE (MTOS-5.04-ja.tar.gz) = 5865587
XSHA256 (MTOS-5.04-nl.tar.gz) = 72ba823b92b2a71bde13972fd6459d2615b9b4093a0806a1f54489f6f0e51883
XSIZE (MTOS-5.04-nl.tar.gz) = 5873058
XSHA256 (MTOS-5.04-ru.tar.gz) = f61098b903852180aacfb1bf496d9904752b7d6c5b33f2619b0714fca9bebeff
XSIZE (MTOS-5.04-ru.tar.gz) = 5995775
SHAR_END
echo x russian/MT/Makefile
mkdir -p russian/MT > /dev/null 2>&1
sed 's/^X//' > russian/MT/Makefile << 'SHAR_END'
X# New ports collection makefile for:	ru-MT
X# Date created:	   01 Jun 2010
X# Whom:		   Sergey Skvortsov <skv@protey.ru>
X#
X# $FreeBSD: ports/russian/MT/Makefile,v 1.2 2010/10/08 03:11:42 pgollucci Exp $
X#
X
XPORTNAME=	MT
XCATEGORIES=	russian www
XMASTER_SITES=	GOOGLE_CODE
XDISTNAME=	MTOS-${PORTVERSION}-ru
X
XCOMMENT=	Russian localization of the MovableType publishing system
X
XPROJECTHOST=	movabletype
XMASTERDIR=	${.CURDIR}/../../www/${PORTNAME}
X
XMT_LANG=	ru
XCONFLICTS=	MT-[2-5].* ja-MT-[2-5].* fr-MT-[2-5].* de-MT-[2-5].* \
X		es-MT-[2-5].* nl-MT-[2-5].*
X
XMT_DOCS_URL=	http://movable-type.ru/wiki/
XMT_UPGRADE_URL=	http://movable-type.ru/wiki/%D0%9E%D0%B1%D0%BD%D0%BE%D0%B2%D0%BB%D0%B5%D0%BD%D0%B8%D0%B5_Movable_Type
X
X.include "${MASTERDIR}/Makefile"
SHAR_END
exit
--- MT-added.patch ends here ---
Comment 3 pgollucci freebsd_committer 2010-12-12 01:34:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I will take it.
Comment 4 pgollucci freebsd_committer 2010-12-13 00:33:23 UTC
State Changed
From-To: open->feedback

Request Feedback: please resubmit as one diff from the /usr/ports dir, 
if possible use cvs diff, not diff
Comment 5 pgollucci freebsd_committer 2010-12-13 01:20:23 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 6 pgollucci freebsd_committer 2011-01-12 00:59:22 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

E-NO-TIME right now, back to pool
Comment 7 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-01-12 02:11:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I will take it.
Comment 8 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-01-13 06:32:38 UTC
Hi,

  Regarding your patch, I would like to make sure the following issues:
  - It seems the russian/MT tarball has been rerolled. Its checksum is now:
    SHA256 (MTOS-5.04-ru.tar.gz) =3D 2ff4b3a47ff1acf0f9ecb158106a1fe0a56cb5=
af9f000f8f38ff1ef1405e0ae3
    SIZE (MTOS-5.04-ru.tar.gz) =3D 6039995
  - Since we do not have es-MT and nl-MT in the ports tree, I would like to
    remove them from CONFLICTS and distinfo.
  Do you approve these changes?
  Thanks.

Regards,
sunpoet
--=20
   Sunpoet Po-Chuan Hsieh <sunpoet at sunpoet.net> <sunpoet at FreeBSD.org>
           4096R/CC57E36B 8AD8 68F2 7D2B 0A10 7E9B 8CC0 DC44 247E CC57 E36B
	                     http://people.FreeBSD.org/~sunpoet/pgpkeys.txt
Comment 9 takefu 2011-01-13 07:01:00 UTC
Hi.

"Send-pr" for the file is followed by Russia, seems to have changed.
Accept other changes.


--
Comment 10 dfilter freebsd_committer 2011-01-13 13:28:16 UTC
sunpoet     2011-01-13 13:28:11 UTC

  FreeBSD ports repository

  Modified files:
    www/MT               Makefile distinfo 
    french/MT            Makefile 
    german/MT            Makefile 
    japanese/MT          Makefile 
    russian/MT           Makefile 
  Log:
  - Update to 5.04
  - Cleanup CONFLICTS and DISTINFO_FILE: remove es-MT and nl-MT
  - Space/Tab twiddle
  
  Changes:        http://www.movabletype.org/2010/12/movable_type_504_and_435_security_update.html
  PR:             ports/152913
  Submitted by:   Takefu <takefu@airport.fm> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.4       +2 -3      ports/french/MT/Makefile
  1.4       +2 -3      ports/german/MT/Makefile
  1.6       +3 -3      ports/japanese/MT/Makefile
  1.4       +2 -3      ports/russian/MT/Makefile
  1.48      +16 -18    ports/www/MT/Makefile
  1.30      +10 -21    ports/www/MT/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-01-13 13:35:12 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!